{
  "name": "love",
  "version": "0.1.0",
  "license": "MIT",
  "author": "Holllo <helllo@holllo.cc>",
  "homepage": "https://love.holllo.cc",
  "repository": "https://gitlab.com/holllo/love",
  "scripts": {
    "build": "yarn build:atom && yarn build:images && yarn build:pages && yarn build:vscode",
    "build:atom": "ts-node 'source/scripts/atom.ts'",
    "build:images": "cpy 'source/pages/images/**' 'public/images/'",
    "build:pages": "ts-node 'source/scripts/pages.ts'",
    "build:vscode": "ts-node 'source/scripts/vscode.ts'",
    "watch:atom": "chokidar 'source/atom/*.less' 'source/atom/ui-template/*.less' -c 'yarn build:atom'",
    "watch:vscode": "chokidar 'source/vscode/themes/love-template.color-theme.json' -c 'yarn build:vscode'",
    "test": "xo && stylelint 'source/pages/scss/**'"
  },
  "dependencies": {
    "modern-normalize": "^0.6.0"
  },
  "devDependencies": {
    "@types/nunjucks": "^3.1.3",
    "@types/sass": "^1.16.0",
    "@types/tar": "^4.0.3",
    "chokidar-cli": "^2.1.0",
    "cpy": "^8.1.0",
    "cpy-cli": "^3.1.0",
    "hsluv": "^0.1.0",
    "hsluv-sass": "^1.0.0",
    "htmlclean": "^3.0.8",
    "mathsass": "^0.11.0",
    "nunjucks": "^3.2.1",
    "sass": "^1.26.3",
    "stylelint": "^13.2.1",
    "stylelint-config-xo-scss": "^0.12.0",
    "stylelint-config-xo-space": "^0.14.0",
    "tar": "^6.0.1",
    "ts-node": "^8.7.0",
    "typescript": "^3.8.3",
    "xo": "^0.28.0"
  },
  "stylelint": {
    "extends": [
      "stylelint-config-xo-scss",
      "stylelint-config-xo-space"
    ],
    "ignoreFiles": [
      "source/atom/**/*.less",
      "public/css/**"
    ],
    "rules": {
      "at-rule-empty-line-before": null,
      "at-rule-no-unknown": null,
      "no-descending-specificity": null,
      "selector-type-no-unknown": null
    }
  },
  "xo": {
    "prettier": true,
    "rules": {
      "no-await-in-loop": "off"
    },
    "space": true
  }
}
